class AppConfig {
  static const String appName = 'Campus Mate';
  static const String appLogo = 'images/logo.png';

  static const Map<String, String> navLinks = {
    'Home': '/',
    'Privacy': '/privacy',
    'Terms': '/tos',
  };

  static const String heroTitle = 'Campus Mate Rhein-Waal';
  static const String heroSubtitle = 'by students for students';
  static const String heroImage = 'images/app_screen.png';

  static const String featuresTitle = 'Features';
  static const String featuresSubtitle = 'Your all-in-one campus companion';
  static const String featuresDescription =
      'Check out what we\'ve cooked up to make your campus life a whole lot smoother.';

  static const List<Feature> features = [
    Feature(
      title: 'Mensa',
      description:
          'Check out the weekly menus, so you always know what deliciousness awaits in the Mensa. Plus, filter by your dietary needs and allergies to find the perfect meal for you. No more surprises.',
      icon: '🍽️',
    ),
    Feature(
      title: 'Timetable',
      description:
          'Build your perfect timetable, add reminders and notes, and stay organized throughout the semester. Your academic life, in one place.',
      icon: '📆',
    ),
    Feature(
      title: 'Campus Navigator',
      description:
          'Your guide to everything on campus. Easily find buildings, classrooms, and offices with our interactive map and room finder.',
      icon: '📍',
    ),
    Feature(
      title: 'And There\'s More!',
      description:
          'We\'re constantly adding new features to make your student experience even better. Discover university news, listen to the HSRW podcasts, conveniently book study rooms, and much more within the app.',
      icon: '😎',
    ),
  ];

  static const String ctaTitle = 'Ready to dive in?';
  static const String ctaSubtitle = 'Download now!';
  static const String ctaDescription =
      'Available on iOS and Android. (Desktop support coming soon!)';
  static const String appStoreLink = '#';
  static const String appStoreImage =
      'https://placehold.co/120x40?text=App+Store';
  static const String playStoreLink = '#';
  static const String playStoreImage =
      'https://placehold.co/135x40?text=Google+Play';

  static const String footerText =
      '© 2025 Campus Mate Rhein-Waal. All rights reserved.';

  // Privacy Policy
  static const String privacyTitle = 'Privacy Policy';
  static const String privacyLastUpdated = 'Last updated: May 1, 2023';
  static const List<PrivacySection> privacySections = [
    PrivacySection(
      title: 'Introduction',
      content:
          'This Privacy Policy describes how Your Indie App ("we", "our", or "us") collects, uses, and shares your personal information when you use our mobile application.',
    ),
    PrivacySection(
      title: 'Information We Collect',
      content:
          'We collect information that you provide directly to us, such as when you create an account, use our services, or contact us for support. This may include your name, email address, and usage data.',
    ),
    PrivacySection(
      title: 'How We Use Your Information',
      content:
          'We use the information we collect to provide, maintain, and improve our services, to communicate with you, and to comply with legal obligations.',
    ),
  ];

  // Terms of Service
  static const String tosTitle = 'Terms of Service';
  static const String tosLastUpdated = 'Last updated: May 1, 2023';
  static const List<TOSSection> tosSections = [
    TOSSection(
      title: 'Acceptance of Terms',
      content:
          'By accessing or using Your Indie App, you agree to be bound by these Terms of Service and all applicable laws and regulations.',
    ),
    TOSSection(
      title: 'Use of the Service',
      content:
          'You may use our service for your personal, non-commercial use only. You must not use the service for any illegal or unauthorized purpose.',
    ),
    TOSSection(
      title: 'User Accounts',
      content:
          'You are responsible for maintaining the confidentiality of your account and password. You agree to accept responsibility for all activities that occur under your account.',
    ),
  ];

  // Landing page layout configuration
  static const bool useAlternativeFeatureLayout =
      false; // Set to true to use the new layout
}

class Feature {
  final String title;
  final String description;
  final String icon;

  const Feature(
      {required this.title, required this.description, required this.icon});
}

class PrivacySection {
  final String title;
  final String content;

  const PrivacySection({required this.title, required this.content});
}

class TOSSection {
  final String title;
  final String content;

  const TOSSection({required this.title, required this.content});
}
